Subject: Re: Forge/Apex Publishing
From: [email-masked] (Jim McCabe)
To: [email-masked]
Date: Tue, 21 Jun 1994 06:32:11 -0700

On Mon, Jun 20 Eric Case wrote:
>
>I have Forge and it is very nice, but it did take two days to get a hold 
>of Apex, as they ship the orders in the morning and return calls in the 
>afternoon. You could try to e-mail Steve at [email-masked]. Hope 
>this helps :)
>
 Thanks, Eric. I sent off a note to Steve Worley. We'll see if that helps.